EM FHEquiv: Difference between revisions

From FreeCAD Documentation
m (Changing section to 'Usage')
No edit summary
 
(11 intermediate revisions by 5 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
<translate>
<translate>

<!--T:20-->
{{Docnav
|[[EM_FHPlaneAddRemoveNodeHole|FHPlaneAddRemoveNodeHole]]
|[[EM_FHPort|FHPort]]
|[[EM_Workbench|EM]]
|IconL=EM_FHPlaneAddRemoveNodeHole.svg
|IconR=EM_FHPort.svg
|IconC=EMWorkbench.svg
}}


<!--T:1-->
<!--T:1-->
Line 6: Line 16:
|Name=EM FHEquiv
|Name=EM FHEquiv
|MenuLocation=EM → FHEquiv
|MenuLocation=EM → FHEquiv
|Workbenches=[[EM Workbench|EM]] (add-on)
|Workbenches=[[EM_Workbench|EM]]
|Shortcut=E E
|Shortcut={{KEY|E}} {{KEY|E}}
|SeeAlso=[[EM_FHNode|EM FHNode]], [[EM_FHSegment|EM FHSegment]], [[EM_FHPath|EM FHPath]], [[EM_FHPlane|EM FHPlane]], [[EM_FHPort|EM FHPort]],
|Version=0.17
|Version=0.17
|SeeAlso=[[EM_FHNode|EM FHNode]], [[EM_FHSegment|EM FHSegment]], [[EM_FHPath|EM FHPath]], [[EM_FHPlane|EM FHPlane]], [[EM_FHPort|EM FHPort]]
}}
}}


Line 16: Line 26:
<!--T:3-->
<!--T:3-->
The FHEquiv tool short-circuits two FHNode objects.
The FHEquiv tool short-circuits two FHNode objects.
</translate>


</translate>
[[Image:EM_FHEquiv_Example.png]]
[[Image:EM_FHEquiv_Example.png]]
<translate>
<translate>

<!--T:4-->
<!--T:4-->
{{Caption|FastHenry FHEquiv}}
{{Caption|FastHenry FHEquiv}}
Line 29: Line 40:


<!--T:7-->
<!--T:7-->
# Select two [[EM_FHNode|FHNode]] objects
# Select two [[Image:EM_FHNode.svg|16px]] [[EM_FHNode|FHNode]] objects
# Press the {{Button|[[Image:EM_FHEquiv.svg|16px]] [[EM_FHEquiv|EM FHEquiv]]}} button, or press {{KEY|E}} then {{KEY|E}} keys.
# Press the {{Button|[[Image:EM_FHEquiv.svg|16px]] [[EM_FHEquiv|EM FHEquiv]]}} button, or press {{KEY|E}} then {{KEY|E}} keys.


===Remarks:=== <!--T:8-->
===Remarks=== <!--T:8-->


<!--T:9-->
<!--T:9-->
Line 46: Line 57:


<!--T:13-->
<!--T:13-->
{{Emphasis|See also:}} [[FreeCAD Scripting Basics]].
{{Emphasis|See also:}} [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].


<!--T:14-->
<!--T:14-->
The FHEquiv object can be used in [[macros]] and from the [[Python]] console by using the following function:
The FHEquiv object can be used in [[Macros|macros]] and from the [[Python|Python]] console by using the following function:

</translate>
</translate>
{{Code|code=
{{Code|code=
Line 55: Line 67:
}}
}}
<translate>
<translate>

<!--T:15-->
<!--T:15-->
* Creates a {{incode|FHEquiv}} object.
* Creates a {{incode|FHEquiv}} object.
Line 63: Line 76:
<!--T:16-->
<!--T:16-->
Example:
Example:

</translate>
</translate>
{{Code|code=
{{Code|code=
Line 72: Line 86:
fhequiv = EM.makeFHEquiv(fhnode1, fhnode2)
fhequiv = EM.makeFHEquiv(fhnode1, fhnode2)
}}
}}


<translate>
<translate>
<!--T:19-->
<!--T:21-->
{{Docnav
{{EM Tools navi}}
|[[EM_FHPlaneAddRemoveNodeHole|FHPlaneAddRemoveNodeHole]]
{{Userdocnavi}}
|[[EM_FHPort|FHPort]]
|[[EM_Workbench|EM]]
|IconL=EM_FHPlaneAddRemoveNodeHole.svg
|IconR=EM_FHPort.svg
|IconC=EMWorkbench.svg
}}
</translate>
</translate>

{{clear}}
{{EM Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 09:23, 21 November 2021

Other languages:

EM FHEquiv

Menu location
EM → FHEquiv
Workbenches
EM
Default shortcut
E E
Introduced in version
0.17
See also
EM FHNode, EM FHSegment, EM FHPath, EM FHPlane, EM FHPort

Description

The FHEquiv tool short-circuits two FHNode objects.

FastHenry FHEquiv

Usage

The FHEquiv object is based on the two existing FHNodes that it will short-circuit.

  1. Select two FHNode objects
  2. Press the EM FHEquiv button, or press E then E keys.

Remarks

  • If you need to short-circuit multiple nodes, just create multiple FHEquiv nodes. You don't need a full mesh of FHEquiv nodes, as of course if node1 is shorted with node2, and node2 is shorted with node3, also node1 will result shorted with node3.

Properties

  • DataNode1: the first FHNode to short-circuit
  • DataNode2: the second FHNode to short-circuit

Scripting

See also: FreeCAD Scripting Basics.

The FHEquiv object can be used in macros and from the Python console by using the following function:

equiv = makeFHEquiv(node1=None,node2=None,name='FHEquiv')
  • Creates a FHEquiv object.
  • node1 is the first node FHNode object to short-circuit.
  • node2 is the second node FHNode object to short-circuit.
  • name is the name of the object

Example:

import FreeCAD, EM

fhnode1 = EM.makeFHNode(X=1.0,Y=0,Z=0)
fhnode2 = EM.makeFHNode(X=0,Y=1.0,Z=0)

fhequiv = EM.makeFHEquiv(fhnode1, fhnode2)